Page MenuHomePhabricator

RevDel'd imported edits may be blanked
Closed, DeclinedPublic

Description

Author: g33kdyoo

Description:
See http://simple.wikipedia.org/w/index.php?title=Daniel_Tosh&action=history, and http://en.wikipedia.org/w/index.php?title=Daniel_Tosh&action=history.

Two edits in the en history show up as empty blank ones on simple's history due to being RevDel'd. I think that the deleted status should show for consistency.


Version: unspecified
Severity: enhancement

Details

Reference
bz24519

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:05 PM
bzimport set Reference to bz24519.
bzimport added a subscriber: Unknown Object (MLST).

g33kdyoo wrote:

I have tested with export files. It correctly says that the revision is partly deleted. I'm testing with import from file.

g33kdyoo wrote:

Import from file is also affected.

Nemo_bis lowered the priority of this task from Medium to Lowest.Apr 26 2015, 5:49 PM
Nemo_bis set Security to None.
Nemo_bis added a subscriber: Nemo_bis.

I'm not sure this is a bug. It makes sense to have a placeholder for the revision.

TTO closed this task as Declined.Dec 22 2015, 3:43 AM
TTO claimed this task.
TTO added a subscriber: TTO.

Per Nemo, I think importing RevDel'd edits as RevDel'd edits is confusing. In particular, it would imply that an administrator or suppressor (oversighter) can go to Special:RevisionDelete and have a look at the data that was suppressed, which would not be the case, as the import XML dump does not contain the RevDel'd information.

I think the current behaviour of importing a blank placeholder revision is acceptable. Even though the content of that particular revision is not available, the user may still need to be attributed according to license conditions (unless the username was hidden).

Related: Since T121338 has been fixed, importing revisions with RevDel'd usernames now works correctly (the username is replaced by Unknown user).

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptAug 5 2016, 2:26 PM